# FoundationClasses
TKMath
math

# math_GaussSingleIntegration Class Reference

This class implements the integration of a function of a single variable
between the parameter bounds Lower and Upper.
Warning: Order must be inferior or equal to 61.
.

`#include <math_GaussSingleIntegration.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_GaussSingleIntegration ()
Standard_EXPORT | math_GaussSingleIntegration (math_Function &F, const Standard_Real Lower, const Standard_Real Upper, const Standard_Integer Order)
| The Gauss-Legendre integration with N = Order points of integration, is done on the function F between the bounds Lower and Upper. .
Standard_EXPORT | math_GaussSingleIntegration (math_Function &F, const Standard_Real Lower, const Standard_Real Upper, const Standard_Integer Order, const Standard_Real Tol)
| The Gauss-Legendre integration with N = Order points of integration and given tolerance = Tol is done on the function F between the bounds Lower and Upper. .
Standard_Boolean | IsDone () const
| returns True if all has been correctly done.
Standard_Real | Value () const
| returns the value of the integral.
Standard_EXPORT void | Dump (Standard_OStream &o) const
| Prints information on the current state of the object. .

## Private Member Functions

Standard_EXPORT void | Perform (math_Function &F, const Standard_Real Lower, const Standard_Real Upper, const Standard_Integer Order)
| perfoms actual computation

## Private Attributes

Standard_Real | Val
Standard_Boolean | Done

## Constructor & Destructor Documentation

Standard_EXPORT math_GaussSingleIntegration::math_GaussSingleIntegration | ( |  | ) |

Standard_EXPORT math_GaussSingleIntegration::math_GaussSingleIntegration | ( | math_Function & | F,
|  | const Standard_Real | Lower,
|  | const Standard_Real | Upper,
|  | const Standard_Integer | Order
| ) |

Standard_EXPORT math_GaussSingleIntegration::math_GaussSingleIntegration | ( | math_Function & | F,
|  | const Standard_Real | Lower,
|  | const Standard_Real | Upper,
|  | const Standard_Integer | Order,
|  | const Standard_Real | Tol
| ) |

## Member Function Documentation

Standard_EXPORT void math_GaussSingleIntegration::Dump | ( | Standard_OStream & | o | ) | const

Standard_Boolean math_GaussSingleIntegration::IsDone | ( |  | ) | const`[inline]`

void math_GaussSingleIntegration::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_GaussSingleIntegration::operator new | ( | size_t | size | ) | `[inline]`

void* math_GaussSingleIntegration::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void math_GaussSingleIntegration::Perform | ( | math_Function & | F,
|  | const Standard_Real | Lower,
|  | const Standard_Real | Upper,
|  | const Standard_Integer | Order
| ) | `[private]`

Standard_Real math_GaussSingleIntegration::Value | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Boolean math_GaussSingleIntegration::Done `[private]`

Standard_Real math_GaussSingleIntegration::Val `[private]`

The documentation for this class was generated from the following files:

- math_GaussSingleIntegration.hxx
- math_GaussSingleIntegration.lxx